.btn,
.button,
.v-application .btn,
.v-application .button {
    @include button;

    &:hover,
    &:focus,
    &:active {
        color: $white;
        text-decoration: none;
        outline: none!important;
    }

    &--trans {
        border-color: $primary !important;
        background-color: rgba($white, 0) !important;
        color: $primary;

        &:hover,
        &:focus,
        &:active {
            color: $white;
            border-color: rgba($primary, 1) !important;
            background-color: rgba($primary, 1) !important;
            outline: none!important;
        }
    }

    @include media-query(991px) {
        font-size: 14px;
        font-size: calc-rem-value(14);
        font-weight: 400;
        padding: 7px 22px;
    }

    @include media-query(767px) {
        padding: 5px 20px;
    }

}
